#pragma comment(linker, "/STACK:30000000")
#define _CRT_SECURE_NO_WARNINGS
#define _CRT_SECURE_NO_DEPRECATE

#include <cassert>
#include <cstdio>
#include <iostream>
#include <sstream>
#include <numeric> 
#include <bitset>
#include <vector>
#include <set>
#include <string>
#include <map>
#include <cmath>
#include <algorithm>
#include <queue>
#include <cstdlib>
#include <functional>
#include <cstring>
#include <ctime>
using namespace std;

typedef long long ll;
typedef unsigned long long ull;
typedef long double ld;
typedef vector<int> vi;
typedef pair<int, int> pii;
template <class T> T inline sqr(T x) { return x * x; }
template <class T> string str( T i ) { stringstream ss; ss << i; return ss.str(); }
int toint(string a) {istringstream is(a); int p; is>>p; return p;} 
long long toll(string a){istringstream is(a);long long p;is>>p;return p;} 

#define pb push_back
#define mp make_pair
#define e1 first 
#define e2 second 
#define sz size 

#if ( _WIN32 || __WIN32__ )
    #define LLD "%I64d"
#else
    #define LLD "%lld"
#endif
#define forn(i, n) for (i = 0; i < int(n); i++)
#define setval(a,v) memset(a, v, sizeof(a))
const ld pi = 3.1415926535897932384626433832795, eps = 1e-8;

int solve(vi &a, ll l, pii& res)
{
	int n = a.sz();
	vector<ll> s(n + 5);
	map< ll, set<int> > M;
	res.e1 = -1;
	int minlen = n + 3;
	int i;
	int q = 0;
	forn (i, n)
	{	
		s[i + 1] = s[i] + ll(a[i]);	
		M[s[i]].insert(i);
	}
	M[s[n]].insert(n);
	forn (i, n)
	{
		ll req = s[i] + l;
		if (M.find(req) != M.end())
		{
			set<int>::iterator it = M[req].lower_bound(i);
			if (it != M[req].end())
			{
				q++;
				if ((*it) - i <= minlen)
				{
					minlen = (*it) - i;
					res.e1 = i + 1;
					res.e2 = *it;
				}  
			}	
		}
	}
	return q;
}

void wr(pii ans)
{
	if (ans.e1 == -1)
		cout << ans.e1 << endl;
	else
		cout << ans.e1 << " " << ans.e2 << endl;
}
	
int main()
{
//   freopen("input.txt", "r", stdin); //freopen("output.txt", "w", stdout);
   int i, n;
	ll l;
	cin >> n >> l;
	vi a(n);
	forn (i, n)
		scanf("%d", &a[i]);
	pii ans;
	int q = solve(a, l, ans);
	wr(ans);
	return 0;
}
