#include <iostream>

using namespace std;

void walk_table(int n, bool addPlayer = false)
{
    cout << n << endl;
    int numGames = (addPlayer) ? ((n + 1)/2) : (n/2);
    for(int start = 1; start <= n; start++)
    {
        cout << numGames << " ";
        int i = start;
        int j = 1;
        while(j <= n)
        {
            if(i < j)
                cout << i << "-" << j << " ";
            else if(i == j && addPlayer)
                cout << i << "-" << n + 1 << " ";
            i--;
            j++;
            if(i < 1)
                i += n;
        }
        cout << endl;
    }
}

int main()
{
    int n;
    cin >> n;
    if(n % 2 > 0)
    {
        walk_table(n);
    }
    else
    {
        walk_table(n - 1, true);
    }
    return 0;
}
