import sys
if sys.version_info[0] == 3:
    raw_input = input

# Line types
OTHER, IF, ELSE = 0, 1, 2

def LeadingSpaces(s):
    i = 0
    while s[i] == ' ':
        i += 1
    return i

Indents = [0]
Types = [OTHER]
IndentRequired = False

line = raw_input()
if line == " " * len(line):
    print("Empty line!")
    sys.exit(179)
num = 1
while line != "exit()":
    indent = LeadingSpaces(line)
    if IndentRequired and indent <= Indents[-1]:
        print(num)
        sys.exit(0)
    if line[indent:indent + 3] == "if ":
        linetype = IF
    elif line[indent:indent + 5] == "else:":
        linetype = ELSE
    else:
        linetype = OTHER
    if IndentRequired:
        if linetype == OTHER:
            Indents.append(indent)
            Types.append(OTHER)
            IndentRequired = False
        elif linetype == IF:
            Indents.append(indent)
            Types.append(IF)
            IndentRequired = True
        else: # linetype == ELSE
            print(num)
            sys.exit(0)
    else: # Additional indent doesn't required
        if indent in Indents:
            i = Indents.index(indent)
            Indents = Indents[:i + 1]
            Types = Types[:i + 1]
            if linetype == OTHER:
                IndentRequired = False
            else:
                IndentRequired = True
            if linetype == ELSE and Types[-1] != IF:
                print(num)
                sys.exit(0)
            Types[-1] = linetype
        else: # Unknown indent
            print(num)
            sys.exit(0)
    line = raw_input()
    if line == " " * len(line):
        print("Empty line!")
        sys.exit(179)
    num += 1
if IndentRequired:
    print(num)
else:
    print(0)
exit
