#include<iostream>
#include<vector>
#include<algorithm>

using namespace std;

int main()
{
    int N, K, i;
    long long Sum;
    cin >> N >> K;
    vector <int> A (N);
    vector <pair <long long, int> > B (N + 1);
    Sum = 0;
    for (i = 0; i < N; ++i)
    {
        cin >> A[i];
        B[i] = make_pair(Sum, i);
        Sum += A[i];
    }
    B[N] = make_pair(Sum, N);
    sort(B.begin(), B.end());
    int ans_i = -1, ans_j = -1, curr_i, curr_j, maxlen = 1000000;
    for(i = 0; i <= N; ++i)
    {
        vector <pair <long long, int > >::iterator it;
        it = upper_bound(B.begin(), B.end(), make_pair(B[i].first + K, B[i].second));
        if (it != B.end() && it -> first == B[i].first + K)
        {
            curr_i = B[i].second;
            curr_j = it -> second;
            if (curr_j - curr_i < maxlen || curr_j - curr_i == maxlen && curr_j > ans_j)
            {
                ans_i = curr_i;
                ans_j = curr_j;
                maxlen = ans_j - ans_i;
            }
        }
    }
    if (maxlen < 1000000)
        cout << ans_i + 1 << " " << ans_j << endl;
    else
        cout << -1 << endl;
    return 0;
}
